- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# digital_ocean_tag – Create and remove tag(s) to DigitalOcean resource

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Create and remove tag(s) to DigitalOcean resource.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | The name of the tag. The supported characters for names include alphanumeric characters, dashes, and underscores.
oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
resource_id - |  | The ID of the resource to operate on. The data type of resource_id is changed from integer to string, from version 2.5. aliases: droplet_id
resource_type - | Choices: droplet ← | The type of resource to operate on. Currently, only tagging of droplets is supported.
state - | Choices: present ← absent | Whether the tag should be present or absent on the resource.
timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.
validate_certs boolean | Choices: no yes ← | If set to `no`, the SSL certificates will not be validated. This should only set to `no` used on personally controlled sites using self-signed certificates.

## Notes

Note

- Two environment variables can be used, DO_API_KEY and DO_API_TOKEN. They both refer to the v2 token.
- As of Ansible 2.0, Version 2 of the DigitalOcean API is used.

## Examples

    - name: create a tag
      digital_ocean_tag:
        name: production
        state: present

    - name: tag a resource; creating the tag if it does not exist
      digital_ocean_tag:
        name: "{{ item }}"
        resource_id: "73333005"
        state: present
      loop:
        - staging
        - dbserver

    - name: untag a resource
      digital_ocean_tag:
        name: staging
        resource_id: "73333005"
        state: absent

    # Deleting a tag also untags all the resources that have previously been
    # tagged with it
    - name: remove a tag
      digital_ocean_tag:
        name: dbserver
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data dictionary | success and no resource constraint | a DigitalOcean Tag resource Sample: {'tag': {'name': 'awesome', 'resources': {'droplets': {'count': 0, 'last_tagged': None}}}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Victor Volle (@kontrafiktion)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.